#include "allegro.h"
#include "allegro_color.h"
#include "sprite.h"
#include "dome.h"

DOME::DOME()
{
	hp = 0;
	max_hp = 0;
	x = 0;
	y = 0;	
	spr = new SPRITE;
}

DOME::~DOME()
{

}

void DOME::load(int dx, int dy)
{
	spr->load("dome.bmp", 128, 128, 4);
	hp = 50;
	max_hp = 50;
	x = dx;
	y = dy;
	spr->alive = true;
	spr->framedelay = 20;
}

void DOME::update()
{
	spr->animate();
}

void DOME::draw_status(BITMAP *desc, int xoffset, int yoffset)
{
	if(hp > 0)
	{		
		rectfill(desc, x - xoffset, y - 20 - yoffset, x + spr->width - xoffset, y - 10 - yoffset, BLACK);
		rectfill(desc, x - xoffset, y - 20 - yoffset, x + (spr->width * (float(hp) / float(max_hp))) - xoffset, y - 10 - yoffset, GREEN);
		rect(desc, x  - xoffset, y - 20 - yoffset, x + spr->width  - xoffset, y - 10 - yoffset, WHITE);
	}

}


